org.hibernate.search.bridge.impl

## Class ExtendedBridgeProvider

- java.lang.Object
- - org.hibernate.search.bridge.impl.ExtendedBridgeProvider

- All Implemented Interfaces:
    BridgeProvider

      public abstract class ExtendedBridgeProvider
      extends Object
      implements BridgeProvider

  Internal contract extending `BridgeProvider` to handle some of the specificity of Hibernate Search bridges (like annotations requirements).
  Author:
    Emmanuel Bernard

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ExtendedBridgeProvider.ExtendedBridgeProviderContext`

    - ### Nested classes/interfaces inherited from interface org.hibernate.search.bridge.spi.BridgeProvider

      `BridgeProvider.BridgeProviderContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedBridgeProvider()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldBridge` | `provideFieldBridge(BridgeProvider.BridgeProviderContext bridgeProviderContext)`
    `abstract FieldBridge` | `provideFieldBridge(ExtendedBridgeProvider.ExtendedBridgeProviderContext bridgeContext)` Same as `BridgeProvider.provideFieldBridge(org.hibernate.search.bridge.spi.BridgeProvider.BridgeProviderContext)` but accepts an extended context.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedBridgeProvider

          public ExtendedBridgeProvider()

  - ### Method Detail

    - #### provideFieldBridge

          public abstract FieldBridge provideFieldBridge(ExtendedBridgeProvider.ExtendedBridgeProviderContext bridgeContext)

      Same as `BridgeProvider.provideFieldBridge(org.hibernate.search.bridge.spi.BridgeProvider.BridgeProviderContext)` but accepts an extended context.
      Parameters:
        `bridgeContext` - the `ExtendedBridgeProvider.ExtendedBridgeProviderContext`
      Returns:
        a `FieldBridge` instance if the provider can build a bridge for the calling context. `null` otherwise.

    - #### provideFieldBridge

          public FieldBridge provideFieldBridge(BridgeProvider.BridgeProviderContext bridgeProviderContext)

      Specified by:
        `provideFieldBridge` in interface `BridgeProvider`
      Parameters:
        `bridgeProviderContext` - the `BridgeProvider.BridgeProviderContext`
      Returns:
        a `FieldBridge` instance if the provider can build a bridge for the calling context. `null` otherwise.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved